#ifndef _UDM_CRC32_H
#define _UDM_CRC32_H

/* Returns signed int crc32 of data block */
extern int UdmCRC32(const char * buf, size_t size);

/* Updates previous value with new data block*/
extern int UdmCRC32Update(int prev,const char * buf, size_t size);

/* Defines for null-terminated string */

#define UdmStrCRC32(buf)		UdmCRC32((buf),strlen(buf))

#define UdmStrCRC32Update(prev,buf)	UdmCRC32Update(prev,buf,strlen(buf));

#endif /* _UDM_CRC32_H */
