#ifndef _UDM_VARS_H
#define _UDM_VARS_H

extern UDM_VARLIST * UdmAllocVarList(void);
extern void UdmFreeVarList(UDM_VARLIST * vars);

extern int UdmAddStrVar(UDM_VARLIST * vars,const char * name, const char * val, int src);
extern int UdmAddIntVar(UDM_VARLIST * vars,const char * name, int val, int src);
extern int UdmReplaceStrVar(UDM_VARLIST * vars,const char * name,const char * val,int src);
extern int UdmReplaceIntVar(UDM_VARLIST * vars,const char * name,int val,int src);

extern UDM_VAR * UdmFindVar(UDM_VARLIST * vars,const char * name);
extern UDM_VAR * UdmFindVarWithValue(UDM_VARLIST * vars,const char * name,const char * val);

extern const char * UdmFindStrVar(UDM_VARLIST * vars,const char * name,const char * defval);
extern int UdmFindIntVar(UDM_VARLIST * vars,const char * name,int defval);

#endif
